Bug 228994 - Added a type safe Pair of 2 elements into openide.util
Added a type safe Pair of 2 elements into openide.util
Status: RESOLVED FIXED
Product: platform
Classification: Unclassified
Component: -- Other --
7.4
All All
: P2 (vote)
: 7.4
Assigned To: apireviews
issues@platform
: API, API_REVIEW_FAST
Depends on:
Blocks: 229054
  Show dependency treegraph
 
Reported: 2013-04-25 08:59 UTC by Tomas Zezula
Modified: 2013-05-05 02:30 UTC (History)
5 users (show)

See Also:
Issue Type: DEFECT
:


Attachments
Diff file (384.38 KB, patch)
2013-04-25 09:22 UTC, Tomas Zezula
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Tomas Zezula 2013-04-25 08:59:01 UTC
The java.source (parsing.api) Pair is copied in many IDE modules in all possible versions and some of them are even wrong. There are also 2 copies which are a part of a friend api and some modules have even more copies of them.
Here is a list of modules which declare Pair type, the list of modules which are using them is even much bigger.

cnd.asm
cnd.repository
contrib/ada.project
contrib/cnd.fortran
contrib/corba
contrib/gsf
contrib/python.project
contrib/ssinstaller
csl.api
debugger.jpda.ui
java.hints
java.j2seprofiles
java.navigation
java.source
javascript.editing
jumpto
kenai
maven.hints
parsing.api
php.api.phpmodule
refactoring.java
spellchecker.bindings.htmlxml
web.common
web.el

The proposed change replaces these Pairs by a common Pair in the platform.
The patch removes all the copies of Pair from netbeans repository (not contrib).
Comment 1 Tomas Zezula 2013-04-25 09:22:46 UTC
Created attachment 133791 [details]
Diff file
Comment 2 Tomas Mysik 2013-04-25 12:29:49 UTC
Thanks for doing that!

Adding Junichi to CC - please, check whether you are using Pair class in your modules and if yes, replace it with this new one once this issue is fixed.

Thanks.
Comment 3 Vladimir Voskresensky 2013-04-25 13:06:57 UTC
Looks OK
Comment 4 junichi11 2013-04-25 13:09:48 UTC
(In reply to comment #2)
> Adding Junichi to CC - please, check whether you are using Pair class in your
> modules and if yes, replace it with this new one once this issue is fixed.

I have checked Pair class in my modules. I was not using it.

Thank you for letting me know!
Comment 5 Martin Fousek 2013-04-26 06:58:07 UTC
Looks well. Thanks for web.el update!
Comment 6 Tomas Zezula 2013-05-02 09:39:00 UTC
Fixed jet-main 4b7b6787e247
Comment 7 Quality Engineering 2013-05-05 02:30:04 UTC
Integrated into 'main-golden', will be available in build *201305042300* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)
Changeset: http://hg.netbeans.org/main-golden/rev/4b7b6787e247
User: Tomas Zezula <tzezula@netbeans.org>
Log: #228994:Added a type safe Pair of 2 elements into openide.util


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2012, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo